FROM rockylinux:9

COPY . .

# Grab dependencies
RUN yum update -y && yum install -y findutils 

# Install Go
RUN curl https://go.dev/dl/go1.18.5.linux-amd64.tar.gz -Lso go.tar.gz
RUN mkdir ./go
RUN tar -xf go.tar.gz -C ./go
RUN rm -f go.tar.gz
RUN mv go /usr/local/

# Install Ignite CLI
RUN yes | curl https://get.ignite.com/cli! | bash

ENV PATH=$PATH:/usr/local/go/bin

RUN go mod tidy

# Runs continuously
CMD ["ignite", "chain", "serve"]

# Can attach to container using VSCode or command line
