package auctionconfig

// Allowed Denoms
// note: as a slice, values can't be immutable, but length can be
var AllowedAuctionDenoms = [...]string{"uusdc", "uclr"}

const (
	// Times
	AuctionTime = 10 // 10 blocks = ~10-30 seconds

	// Lease Period Requirements (seconds)
	MinLeasePeriod = 3_600     // 1 hour
	MaxLeasePeriod = 8_035_200 // 3 months

	// Minimum required staked CLR to be a provider (i.e. to bid)
	// 500 CLR
	ProviderMinLockedUClr = 500_000_000
	// Amount slashed when a provider is offline during an audit
	// 100 CLR
	ProviderLockedSlashUClr = 100_000_000

	// Blocks between provider audits
	// 400 blocks ~400-1200min
	ProviderAuditFrequency = 400
	// Blocks before an audit ping must be returned
	// 3 blocks ~4-12sec
	ProviderAuditLength = 4

	// Gas Fees
	AuctionGas = 10
)
